<?php


// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Version details
 *
 * @package    block_logbook
 * @copyright  2012 onwards Juli Sargatal Bataller
 * @author     Juli Sargatal Bataller
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

 
// classe que permet a Moodle indentificar el codi que s'executarà a la pàgina de configuració 
class block_logbook_edit_form extends block_edit_form {
 
    // mètode amb el que s'identifiquen els elements del formulari
    protected function specific_definition($mform) {
 
        // Secció del títol de la capçalera d'acord amb l'arxiu d'idioma.
        $mform->addElement('header', 'configheader', get_string('blocksettings', 'block'));
        
        //$editoroptions = array('maxfiles' => EDITOR_UNLIMITED_FILES, 'noclean' => true, 'context' => $this->block->context);
        
        // camp del formulari referenciat a la variable 'title' de tipus string i que té un valor per defecte
        $mform->addElement('text', 'config_title', get_string('blocktitle', 'block_logbook'));
        $mform->setDefault('config_title', 'default title');
        $mform->setType('config_title', PARAM_MULTILANG);
 
        // camp del formulari referenciat a la variable 'text' de tipus string i que té un valor per defecte.
        //$mform->addElement('editor', 'config_text1', get_string('contingutAlumnes', 'block_logbook'), null, $editoroptions);
        $mform->addElement('editor', 'config_text1', get_string('contingutAlumnes', 'block_logbook'));
        $mform->setDefault('config_text1', 'default value');
        $mform->setType('config_text1', PARAM_RAW);
        
        // camp del formulari referenciat a la variable 'text2'de tipus string i que té un valor per defecte.
        //$mform->addElement('editor', 'config_text2', get_string('contingutProfessors', 'block_logbook'), null, $editoroptions);
        $mform->addElement('editor', 'config_text2', get_string('contingutProfessors', 'block_logbook'));
        $mform->setDefault('config_text2', 'default value');
        $mform->setType('config_text2', PARAM_RAW);        
 
    }
}